Skip to main content
POST
/
registry
/
transfer-instruction
/
v1
/
{transferInstructionId}
/
choice-contexts
/
withdraw
/registry/transfer-instruction/v1/{transferInstructionId}/choice-contexts/withdraw
curl --request POST \
  --url https://api.example.com/registry/transfer-instruction/v1/{transferInstructionId}/choice-contexts/withdraw \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {},
  "excludeDebugFields": false
}
'
{
  "choiceContextData": {},
  "disclosedContracts": [
    {
      "templateId": "<string>",
      "contractId": "<string>",
      "createdEventBlob": "<string>",
      "synchronizerId": "<string>",
      "debugPackageName": "<string>",
      "debugPayload": {},
      "debugCreatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

transferInstructionId
string
required

The contract ID of the transfer instruction to withdraw.

Body

application/json

A request to get the context for executing a choice on a contract.

meta
object

Metadata that will be passed to the choice, and should be incorporated into the choice context. Provided for extensibility.

excludeDebugFields
boolean
default:false

If set to true, the response will not include fields prefixed with 'debug'. Useful to save bandwidth.

Response

ok

The context required to exercise a choice on a contract via an interface. Used to retrieve additional reference data that is passed in via disclosed contracts, which are in turn referred to via their contract ID in the choiceContextData.

choiceContextData
object
required

The additional data to use when exercising the choice.

disclosedContracts
object[]
required

The contracts that are required to be disclosed to the participant node for exercising the choice.